package db

import (
	"context"
	"gorm.io/gorm"
)

type DB interface {
	Session(ctx context.Context) *gorm.DB
}

type db struct {
	tx *gorm.DB
}

var (
	Default DB
)

func (db *db) Session(ctx context.Context) *gorm.DB {
	return db.tx.Session(&gorm.Session{Context: ctx})
}
